Subject: Re: bug#72769: 31.0.50; info-pop-to-buffer should respect display-buffer-alist

From: Eli Zaretskii <[email-masked]>
Date: Sat, 24 Aug 2024 15:53:45 +0300

> From: Björn Bidar <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Sat, 24 Aug 2024 15:11:50 +0300
> 
> Kévin Le Gouguec <[email-masked]> writes:
> 
> > FWIW I am happy with the C-x 4 [14] status quo, but it makes sense to me
> > that some folks would have "info usage patterns" similar to mine, while
> > preferring to use display-buffer-alist rules.
> 
> I have exactly the same workflow in the situation you describe.
> I also create a separate frame each time I open new manual, but if
> info would follow the display-buffer-alist rules I wouldn't have to do
> that my self and the frame would be closed when I close the manual.

There's no mandatory rule in Emacs that each command should follow the
display-buffer-alist protocol.